| hxt-8.5.4: A collection of tools for processing XML with Haskell. | Source code | Contents | Index
Control.Arrow.ArrowNF |
Portability | non-portable
Stability | experimental
Maintainer | Uwe Schmidt (uwe\@fh-wedel.de)
Description
Arrows for evaluation of normal form results
Synopsis
strictA :: (Arrow a, NFData b) => a b b
class Arrow a => ArrowNF a where
rnfA :: NFData c => a b c -> a b c
Documentation
strictA :: (Arrow a, NFData b) => a b b | Source
complete evaluation of an arrow result using Control.DeepSeq this is sometimes useful for preventing space leaks, especially after reading and validation of a document, all DTD stuff is not longer in use and can be recycled by the GC.
class Arrow a => ArrowNF a where | Source
Methods
rnfA :: NFData c => a b c -> a b c | Source
Instances
ArrowNF LA
ArrowNF IOLA
NFData s => ArrowNF (SLA s)
NFData s => ArrowNF (IOSLA s)
Produced by Haddock version 2.4.2